<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Common CSS Styling and Positioning Properties</title>

    <link rel="stylesheet" href="index.css">
</head>
<body>
    <h2>CSS Common Styling</h2>

    <!-- Float CSS Properties -->
    <h3>Float</h3>
    <p>
        The float property is used for positioning and formatting content. e.g. let an image float left to the text in a containers.
    </p>

    <aside id="float-left">
        Sidebar
    </aside>

    <section>
        <h5>Content</h5>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Molestiae porro odio velit. Fuga temporibus asperiores accusamus laudantium aspernatur perspiciatis, officiis dolorem quaerat voluptas magni excepturi incidunt animi quod facere sit?Lorem ipsum, dolor sit amet consectetur adipisicing elit. Aut perferendis nihil, eum quisquam nesciunt possimus velit consequuntur voluptatum, incidunt facilis suscipit ea beatae dolorem quos neque, expedita repudiandae hic mollitia!  
        </p>
    </section>
    <!-- Float CSS Property End -->

    <!-- Background CSS Property -->
    <section class="background">
        <div class="container-bg">   
            <h3 class="bg-title">CSS Background Properties</h3>
        </div>
    </section>
    <!-- Background CSS Property End-->

    <!-- CSS Positioning -->
    <h2>CSS Positioning</h2>

    <div class="parent-element">
        <div class="child-one">
            Child One Here
        </div>
        <div class="child-two">
            Child Two Here
        </div>
        <div class="child-three">   
            Child Three Here
        </div>
    </div>
    <!-- CSS Positioning End -->

    <!-- Z-index Property -->
    <section>
        <h2>Z-index Property</h2>
        <p>Lorem ipsum, dolor sit amet consectetur adipisicing elit. Consequuntur ut mollitia fugit? Nisi asperiores voluptatem minima architecto! Error iste doloremque ad perspiciatis debitis? Quae nostrum dicta nulla non corrupti mollitia!</p>

        <div class="container">
            <div class="black-box">block box</div>
            <div class="red-box">block box</div>
            <div class="green-box">block box</div>
        </div>
    </section>
    <!-- Z-index Property End -->
</body>
</html>